# Asterisk Project : Asterisk 13 Application_ExecIf

Created by wikibot on Aug 08, 2014

# ExecIf()

### Synopsis

Executes dialplan application, conditionally.

### Description

If expr is true, execute and return the result of appiftrue(args).

If expr is true, but appiftrue is not found, then the application will return a non-zero value.

### Syntax

    ExecIf(expression?appiftrue:[appiffalse])

##### Arguments

- `expression`
- `execapp`
  - `appiftrue`
    - `args`
  - `appiffalse`
    - `args`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538